curl --request GET \
--url https://app.malibou.com/api/public/v1/organizations/{organizationId}/collaborators/{collaboratorId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.malibou.com/api/public/v1/organizations/{organizationId}/collaborators/{collaboratorId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.malibou.com/api/public/v1/organizations/{organizationId}/collaborators/{collaboratorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"status": "past",
"isProfileComplete": true,
"personnelNumber": "<string>",
"title": "mr",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"birthName": "<string>",
"secondaryEmail": "jsmith@example.com",
"phoneNumber": "<string>",
"birthDate": "2023-11-07T05:31:56Z",
"birthCity": "<string>",
"countryOfBirth": "af",
"nationality": "af",
"address": {
"street": "<string>",
"city": "<string>",
"zipCode": "<string>",
"country": "af"
},
"seniorityDate": "2023-11-07T05:31:56Z",
"socialSecurityNumber": "<string>",
"bankAccount": {
"iban": "<string>",
"bic": "<string>"
},
"manager": {
"collaboratorId": "<string>"
},
"team": {
"id": "<string>",
"name": "<string>"
},
"contracts": [
{
"contractId": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
]
}Get collaborator by id
Required scope: org:employee:read
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Response
Successful response
Employment status relative to today.
past: all contracts are inactive.active: at least one contract is active.future: only an upcoming contract, with no active or past contract.
past, active, future mr, mrs Needs scope org:employee:details:read
Needs scope org:employee:details:read
Needs scope org:employee:details:read
Needs scope org:employee:details:read
Needs scope org:employee:details:read
Needs scope org:employee:details:read
af, al, dz, ad, ao, ag, ar, am, au, at, az, bs, bh, bd, bb, by, be, bz, bj, bt, bo, ba, bw, br, bn, bg, bf, bi, cv, kh, cm, ca, cf, td, cl, cn, co, km, cd, cg, cr, ci, hr, cu, cy, cz, dk, dj, dm, do, ec, eg, sv, gq, er, ee, sz, et, fj, fi, fr, ga, gm, ge, de, gh, gr, gd, gt, gn, gw, gy, ht, hn, hu, is, in, id, ir, iq, ie, il, it, jm, jp, jo, kz, ke, ki, kp, kr, kw, kg, la, lv, lb, ls, lr, ly, li, lt, lu, mg, mw, my, mv, ml, mt, mh, mr, mu, mx, fm, md, mc, mn, me, ma, mz, mm, na, nr, np, nl, nz, ni, ne, ng, mk, no, om, pk, pw, pa, pg, py, pe, ph, pl, pt, qa, ro, ru, rw, kn, lc, vc, ws, sm, st, sa, sn, rs, sc, sl, sg, sk, si, sb, so, za, ss, es, lk, sd, sr, se, ch, sy, tj, tz, th, tl, tg, to, tt, tn, tr, tm, tv, tw, ug, ua, ae, gb, us, uy, uz, vu, ve, vn, ye, zm, zw Needs scope org:employee:details:read
af, al, dz, ad, ao, ag, ar, am, au, at, az, bs, bh, bd, bb, by, be, bz, bj, bt, bo, ba, bw, br, bn, bg, bf, bi, cv, kh, cm, ca, cf, td, cl, cn, co, km, cd, cg, cr, ci, hr, cu, cy, cz, dk, dj, dm, do, ec, eg, sv, gq, er, ee, sz, et, fj, fi, fr, ga, gm, ge, de, gh, gr, gd, gt, gn, gw, gy, ht, hn, hu, is, in, id, ir, iq, ie, il, it, jm, jp, jo, kz, ke, ki, kp, kr, kw, kg, la, lv, lb, ls, lr, ly, li, lt, lu, mg, mw, my, mv, ml, mt, mh, mr, mu, mx, fm, md, mc, mn, me, ma, mz, mm, na, nr, np, nl, nz, ni, ne, ng, mk, no, om, pk, pw, pa, pg, py, pe, ph, pl, pt, qa, ro, ru, rw, kn, lc, vc, ws, sm, st, sa, sn, rs, sc, sl, sg, sk, si, sb, so, za, ss, es, lk, sd, sr, se, ch, sy, tj, tz, th, tl, tg, to, tt, tn, tr, tm, tv, tw, ug, ua, ae, gb, us, uy, uz, vu, ve, vn, ye, zm, zw Needs scope org:employee:details:read
Show child attributes
Show child attributes
Needs scope org:employee:details:read
Needs scope org:employee:details:read
Needs scope org:employee:details:read
Show child attributes
Show child attributes
Needs scope org:employee:details:read
Show child attributes
Show child attributes
Needs scope org:employee:details:read
Show child attributes
Show child attributes
Needs scope org:contract:details:read
Show child attributes
Show child attributes

